### Function

# Gimp progress_set_text

since: 2.4

#### Declaration [src]

    gboolean
    gimp_progress_set_text (
      const gchar* message
    )

#### Description [src]

Changes the text in the progress bar for the current plug-in.

This function changes the text in the progress bar for the current plug-in. Unlike `gimp_progress_init()` it does not change the displayed value.

Available since: 2.4

#### Parameters

`message`

  Type: `const gchar*`

  Message to use in the progress dialog.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.